Bug 55873 - start/stop script does not read config file.
Summary: start/stop script does not read config file.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mysql (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-08 02:04 UTC by Itai Nahshon
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-08 02:04:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Itai Nahshon 2001-11-08 02:04:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.17-14 i686)

Description of problem:
The start/stop script in /etc/rc.d/init.d/mysqld has filenames and
directories hard-coded. If I change the datadir in /etc/mycnf
immediately after installation, the initial  databases will be created
in the correct location but they will be owned by root and
the daemon will fail to start.

Version-Release number of selected component (if applicable):
mysql-3.23.41-1

How reproducible:
Always

Steps to Reproduce:
change datadir in /etc/my.cnf after installation (before first time that
mysqld is started).
Create empty directory (with the same name, owned by mysql).
Start mysql by running '/etc/rc.d/init.d/mysqld start'.

Comment 1 Trond Eivind Glomsrxd 2001-11-15 00:11:38 UTC
mysql-3.23.44-2 now has the datadir in one location. Changing it is an
unsupported operation, but there's now less to change.


Note You need to log in before you can comment on or make changes to this bug.